import { useMemo } from 'react';
import { useModule } from '@equinor/fusion-framework-react-module';
export const useHttpClient = (name) => {
    const http = useModule('http');
    const client = useMemo(() => {
        if (http.hasClient(name)) {
            return http.createClient(name);
        }
        throw Error(`no configured client for key [${name}]`);
    }, [http, name]);
    return client;
};
export default useHttpClient;
//# sourceMappingURL=useHttpClient.js.map